Get Issues Of A Certain Organization Of Current User
GET/api/v5/orgs/:org/issues
Request
Path Parameters
Organization's path (path/login)
Query Parameters
User authorization code
Filter parameter: assigned to the authorized user, created by the authorized user, or including both (all). Default: assigned
Issue status: open, closed; default: open
A comma-separated list of labels. For example: bug, performance
Sorting based on: creation time (created), update time (updated_at). Default: created_at
Sort order: ascending (asc), descending (desc). Default: desc
The current page number
The number of items per page, with a maximum of 100. The default is 20.
Task creation time, with the same format as above.
Search for issue by keyword in title or content
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
user objectrequired
assignee objectrequired
repository objectrequired
assigner objectrequired
labels object[]required
issue_state_detail objectrequired
issue_type_detail objectrequired
issue_priority_detail object
Issue Priority
milestone object
Visibility, public: publicly visible, confidential: confidential, visible to project members, other: visible to project members due to other reasons
[
{
"id": 0,
"html_url": "string",
"number": "string",
"state": "string",
"title": "string",
"body": "string",
"user": {
"id": "string",
"login": "string",
"name": "string"
},
"assignee": {
"avatar_url": "string",
"html_url": "string",
"id": "string",
"login": "string",
"name": "string",
"type": "string"
},
"repository": {
"id": 0,
"full_name": "string",
"human_name": "string",
"path": "string",
"name": "string",
"url": "string",
"assigner": {},
"paas": "string"
},
"created_at": "string",
"updated_at": "string",
"finished_at": "string",
"deadline": "string",
"labels": [
{
"id": 0,
"name": "string",
"color": "string"
}
],
"issue_state": "string",
"comments": 0,
"priority": 0,
"issue_type": "string",
"issue_state_detail": {
"title": "string",
"serial": 0,
"id": 0
},
"issue_type_detail": {
"title": "string",
"id": 0,
"is_system": true
},
"issue_priority_detail": {
"id": "string",
"title": "string"
},
"parent_id": 0,
"url": "string",
"repository_url": "string",
"milestone": {
"created_at": "string",
"description": "string",
"due_on": "string",
"html_url": "string",
"number": 0,
"repository_id": 0,
"state": "string",
"title": "string",
"updated_at": "string",
"url": "string"
},
"visibility_reason": "string"
}
]
{
"id": 495900,
"html_url": "https://gitcode.com/Go-Tribe/test01/issues/1",
"number": "1",
"state": "open",
"title": "1",
"body": "1",
"repository": {
"id": 4016571,
"full_name": "Go-Tribe/test01",
"human_name": "gotribe / test01",
"path": "test01",
"name": "test01",
"url": "https://gitcode.com/Go-Tribe/test01",
"owner": {
"id": "650d67fbae6d795139b49b41",
"login": "dengmengmian",
"name": "Mavan"
}
},
"created_at": "2024-10-12T18:27:27+08:00",
"updated_at": "2024-10-12T18:27:27+08:00",
"labels": [],
"priority": 0,
"comments": 0,
"parent_id": 0
}